<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eic::ConstReconstructedParticle Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceeic.html">eic</a></li><li class="navelem"><a class="el" href="classeic_1_1_const_reconstructed_particle.html">ConstReconstructedParticle</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classeic_1_1_const_reconstructed_particle-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">eic::ConstReconstructedParticle Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_reconstructed_particle_const_8h_source.html">ReconstructedParticleConst.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ac4c261d86c226d0b0f2237c82eba40a9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_reconstructed_particle.html#ac4c261d86c226d0b0f2237c82eba40a9">ConstReconstructedParticle</a> ()</td></tr>
<tr class="memdesc:ac4c261d86c226d0b0f2237c82eba40a9"><td class="mdescLeft">&#160;</td><td class="mdescRight">default constructor  <a href="#ac4c261d86c226d0b0f2237c82eba40a9">More...</a><br /></td></tr>
<tr class="separator:ac4c261d86c226d0b0f2237c82eba40a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1277e9afbd880782db44aac72bbbad87"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_reconstructed_particle.html#a1277e9afbd880782db44aac72bbbad87">ConstReconstructedParticle</a> (int <a class="el" href="classeic_1_1_const_reconstructed_particle.html#abdc3560f1511fdfea6d7343a895fd1bd">type</a>, double <a class="el" href="classeic_1_1_const_reconstructed_particle.html#a15cb312d5a411895db1e0be2190a8fa0">energy</a>, std::array&lt; double, 3 &gt; <a class="el" href="classeic_1_1_const_reconstructed_particle.html#adf6f3ebeaba77b31a9844a018b1333a4">momentum</a>, float <a class="el" href="classeic_1_1_const_reconstructed_particle.html#a1cd1dd1b71dc29fe4f2d170fc47264be">charge</a>, double <a class="el" href="classeic_1_1_const_reconstructed_particle.html#ad098cbbcacb7c144fb557e83305a62a4">mass</a>)</td></tr>
<tr class="separator:a1277e9afbd880782db44aac72bbbad87"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75be160bb56eb3ec35db89a050ee2bc6"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_reconstructed_particle.html#a75be160bb56eb3ec35db89a050ee2bc6">ConstReconstructedParticle</a> (<a class="el" href="classeic_1_1_reconstructed_particle_obj.html">ReconstructedParticleObj</a> *obj)</td></tr>
<tr class="memdesc:a75be160bb56eb3ec35db89a050ee2bc6"><td class="mdescLeft">&#160;</td><td class="mdescRight">constructor from existing <a class="el" href="classeic_1_1_reconstructed_particle_obj.html">ReconstructedParticleObj</a>  <a href="#a75be160bb56eb3ec35db89a050ee2bc6">More...</a><br /></td></tr>
<tr class="separator:a75be160bb56eb3ec35db89a050ee2bc6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac40fda87052d287f6ee62796f18d1151"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_reconstructed_particle.html#ac40fda87052d287f6ee62796f18d1151">ConstReconstructedParticle</a> (const <a class="el" href="classeic_1_1_const_reconstructed_particle.html">ConstReconstructedParticle</a> &amp;other)</td></tr>
<tr class="memdesc:ac40fda87052d287f6ee62796f18d1151"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy constructor  <a href="#ac40fda87052d287f6ee62796f18d1151">More...</a><br /></td></tr>
<tr class="separator:ac40fda87052d287f6ee62796f18d1151"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75df3937b19be20fc9d8d0eca4055684"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_const_reconstructed_particle.html">ConstReconstructedParticle</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_reconstructed_particle.html#a75df3937b19be20fc9d8d0eca4055684">operator=</a> (const <a class="el" href="classeic_1_1_const_reconstructed_particle.html">ConstReconstructedParticle</a> &amp;other)</td></tr>
<tr class="memdesc:a75df3937b19be20fc9d8d0eca4055684"><td class="mdescLeft">&#160;</td><td class="mdescRight">copy-assignment operator  <a href="#a75df3937b19be20fc9d8d0eca4055684">More...</a><br /></td></tr>
<tr class="separator:a75df3937b19be20fc9d8d0eca4055684"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d0607556ae42238ba4b15301f85efca"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classeic_1_1_const_reconstructed_particle.html">ConstReconstructedParticle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_reconstructed_particle.html#a5d0607556ae42238ba4b15301f85efca">clone</a> () const</td></tr>
<tr class="memdesc:a5d0607556ae42238ba4b15301f85efca"><td class="mdescLeft">&#160;</td><td class="mdescRight">support cloning (deep-copy)  <a href="#a5d0607556ae42238ba4b15301f85efca">More...</a><br /></td></tr>
<tr class="separator:a5d0607556ae42238ba4b15301f85efca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac139bf2aad1cf6aae07a647d6505591d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_reconstructed_particle.html#ac139bf2aad1cf6aae07a647d6505591d">~ConstReconstructedParticle</a> ()</td></tr>
<tr class="memdesc:ac139bf2aad1cf6aae07a647d6505591d"><td class="mdescLeft">&#160;</td><td class="mdescRight">destructor  <a href="#ac139bf2aad1cf6aae07a647d6505591d">More...</a><br /></td></tr>
<tr class="separator:ac139bf2aad1cf6aae07a647d6505591d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abdc3560f1511fdfea6d7343a895fd1bd"><td class="memItemLeft" align="right" valign="top">const int &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_reconstructed_particle.html#abdc3560f1511fdfea6d7343a895fd1bd">type</a> () const</td></tr>
<tr class="memdesc:abdc3560f1511fdfea6d7343a895fd1bd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the Type of reconstructed particle.  <a href="#abdc3560f1511fdfea6d7343a895fd1bd">More...</a><br /></td></tr>
<tr class="separator:abdc3560f1511fdfea6d7343a895fd1bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15cb312d5a411895db1e0be2190a8fa0"><td class="memItemLeft" align="right" valign="top">const double &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_reconstructed_particle.html#a15cb312d5a411895db1e0be2190a8fa0">energy</a> () const</td></tr>
<tr class="memdesc:a15cb312d5a411895db1e0be2190a8fa0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the Energy of the reconstructed particle.  <a href="#a15cb312d5a411895db1e0be2190a8fa0">More...</a><br /></td></tr>
<tr class="separator:a15cb312d5a411895db1e0be2190a8fa0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf6f3ebeaba77b31a9844a018b1333a4"><td class="memItemLeft" align="right" valign="top">const std::array&lt; double, 3 &gt; &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_reconstructed_particle.html#adf6f3ebeaba77b31a9844a018b1333a4">momentum</a> () const</td></tr>
<tr class="memdesc:adf6f3ebeaba77b31a9844a018b1333a4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The reconstructed particle's 3-momentum.  <a href="#adf6f3ebeaba77b31a9844a018b1333a4">More...</a><br /></td></tr>
<tr class="separator:adf6f3ebeaba77b31a9844a018b1333a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1185d01005355873c78db81f751c9479"><td class="memItemLeft" align="right" valign="top">const double &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_reconstructed_particle.html#a1185d01005355873c78db81f751c9479">momentum</a> (size_t i) const</td></tr>
<tr class="memdesc:a1185d01005355873c78db81f751c9479"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access item i of the The reconstructed particle's 3-momentum.  <a href="#a1185d01005355873c78db81f751c9479">More...</a><br /></td></tr>
<tr class="separator:a1185d01005355873c78db81f751c9479"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1cd1dd1b71dc29fe4f2d170fc47264be"><td class="memItemLeft" align="right" valign="top">const float &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_reconstructed_particle.html#a1cd1dd1b71dc29fe4f2d170fc47264be">charge</a> () const</td></tr>
<tr class="memdesc:a1cd1dd1b71dc29fe4f2d170fc47264be"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The particle's charge.  <a href="#a1cd1dd1b71dc29fe4f2d170fc47264be">More...</a><br /></td></tr>
<tr class="separator:a1cd1dd1b71dc29fe4f2d170fc47264be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad098cbbcacb7c144fb557e83305a62a4"><td class="memItemLeft" align="right" valign="top">const double &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_reconstructed_particle.html#ad098cbbcacb7c144fb557e83305a62a4">mass</a> () const</td></tr>
<tr class="memdesc:ad098cbbcacb7c144fb557e83305a62a4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The mass of the particle in [GeV].  <a href="#ad098cbbcacb7c144fb557e83305a62a4">More...</a><br /></td></tr>
<tr class="separator:ad098cbbcacb7c144fb557e83305a62a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3ee9784eb1f030753119260127e459a"><td class="memItemLeft" align="right" valign="top">const ::<a class="el" href="classeic_1_1_const_vertex.html">eic::ConstVertex</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_reconstructed_particle.html#aa3ee9784eb1f030753119260127e459a">vertex</a> () const</td></tr>
<tr class="memdesc:aa3ee9784eb1f030753119260127e459a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Access the The start vertex associated to this particle.  <a href="#aa3ee9784eb1f030753119260127e459a">More...</a><br /></td></tr>
<tr class="separator:aa3ee9784eb1f030753119260127e459a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8fc815b5f79340620d0349128ff0fb72"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_reconstructed_particle.html#a8fc815b5f79340620d0349128ff0fb72">clusters_size</a> () const</td></tr>
<tr class="separator:a8fc815b5f79340620d0349128ff0fb72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc6b0d1e04a80c75817c0b225226a13b"><td class="memItemLeft" align="right" valign="top">::<a class="el" href="classeic_1_1_const_cluster.html">eic::ConstCluster</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_reconstructed_particle.html#afc6b0d1e04a80c75817c0b225226a13b">clusters</a> (unsigned int) const</td></tr>
<tr class="separator:afc6b0d1e04a80c75817c0b225226a13b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6cc0328130325e0d7bab30b21dd547b"><td class="memItemLeft" align="right" valign="top">std::vector&lt;::<a class="el" href="classeic_1_1_const_cluster.html">eic::ConstCluster</a> &gt;::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_reconstructed_particle.html#ab6cc0328130325e0d7bab30b21dd547b">clusters_begin</a> () const</td></tr>
<tr class="separator:ab6cc0328130325e0d7bab30b21dd547b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0db6ab5d0f7c6338918f71bb63939e86"><td class="memItemLeft" align="right" valign="top">std::vector&lt;::<a class="el" href="classeic_1_1_const_cluster.html">eic::ConstCluster</a> &gt;::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_reconstructed_particle.html#a0db6ab5d0f7c6338918f71bb63939e86">clusters_end</a> () const</td></tr>
<tr class="separator:a0db6ab5d0f7c6338918f71bb63939e86"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32c4c1c9d4f1e81ac51690b5565a6341"><td class="memItemLeft" align="right" valign="top">podio::RelationRange&lt;::<a class="el" href="classeic_1_1_const_cluster.html">eic::ConstCluster</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_reconstructed_particle.html#a32c4c1c9d4f1e81ac51690b5565a6341">clusters</a> () const</td></tr>
<tr class="separator:a32c4c1c9d4f1e81ac51690b5565a6341"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affe3f4654ef8b068bc4ac35374931020"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_reconstructed_particle.html#affe3f4654ef8b068bc4ac35374931020">tracks_size</a> () const</td></tr>
<tr class="separator:affe3f4654ef8b068bc4ac35374931020"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5978a1b48ae5f780f189be2cf5a3ad1"><td class="memItemLeft" align="right" valign="top">::<a class="el" href="classeic_1_1_const_track.html">eic::ConstTrack</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_reconstructed_particle.html#ab5978a1b48ae5f780f189be2cf5a3ad1">tracks</a> (unsigned int) const</td></tr>
<tr class="separator:ab5978a1b48ae5f780f189be2cf5a3ad1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55c7b331d74b932080da6bbced170044"><td class="memItemLeft" align="right" valign="top">std::vector&lt;::<a class="el" href="classeic_1_1_const_track.html">eic::ConstTrack</a> &gt;::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_reconstructed_particle.html#a55c7b331d74b932080da6bbced170044">tracks_begin</a> () const</td></tr>
<tr class="separator:a55c7b331d74b932080da6bbced170044"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a015f9ff7bf7b09265fad442dec978768"><td class="memItemLeft" align="right" valign="top">std::vector&lt;::<a class="el" href="classeic_1_1_const_track.html">eic::ConstTrack</a> &gt;::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_reconstructed_particle.html#a015f9ff7bf7b09265fad442dec978768">tracks_end</a> () const</td></tr>
<tr class="separator:a015f9ff7bf7b09265fad442dec978768"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7e886a0be7ff8917ba00ee18f7c14ea"><td class="memItemLeft" align="right" valign="top">podio::RelationRange&lt;::<a class="el" href="classeic_1_1_const_track.html">eic::ConstTrack</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_reconstructed_particle.html#af7e886a0be7ff8917ba00ee18f7c14ea">tracks</a> () const</td></tr>
<tr class="separator:af7e886a0be7ff8917ba00ee18f7c14ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc333652468485d38870204b9d3a575c"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_reconstructed_particle.html#abc333652468485d38870204b9d3a575c">particles_size</a> () const</td></tr>
<tr class="separator:abc333652468485d38870204b9d3a575c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aebda4592d87eed5ee565a55c5acfe75e"><td class="memItemLeft" align="right" valign="top">::<a class="el" href="classeic_1_1_const_reconstructed_particle.html">eic::ConstReconstructedParticle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_reconstructed_particle.html#aebda4592d87eed5ee565a55c5acfe75e">particles</a> (unsigned int) const</td></tr>
<tr class="separator:aebda4592d87eed5ee565a55c5acfe75e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac661a683f08cdea8547021537dc4ac33"><td class="memItemLeft" align="right" valign="top">std::vector&lt;::<a class="el" href="classeic_1_1_const_reconstructed_particle.html">eic::ConstReconstructedParticle</a> &gt;::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_reconstructed_particle.html#ac661a683f08cdea8547021537dc4ac33">particles_begin</a> () const</td></tr>
<tr class="separator:ac661a683f08cdea8547021537dc4ac33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a286dc0a8e86b340cdc3852a7466660b5"><td class="memItemLeft" align="right" valign="top">std::vector&lt;::<a class="el" href="classeic_1_1_const_reconstructed_particle.html">eic::ConstReconstructedParticle</a> &gt;::const_iterator&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_reconstructed_particle.html#a286dc0a8e86b340cdc3852a7466660b5">particles_end</a> () const</td></tr>
<tr class="separator:a286dc0a8e86b340cdc3852a7466660b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9791b8b0785bb0c5104fbd071d80b96"><td class="memItemLeft" align="right" valign="top">podio::RelationRange&lt;::<a class="el" href="classeic_1_1_const_reconstructed_particle.html">eic::ConstReconstructedParticle</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_reconstructed_particle.html#af9791b8b0785bb0c5104fbd071d80b96">particles</a> () const</td></tr>
<tr class="separator:af9791b8b0785bb0c5104fbd071d80b96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89261792c94bdf069939d614d97f8e78"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_reconstructed_particle.html#a89261792c94bdf069939d614d97f8e78">isAvailable</a> () const</td></tr>
<tr class="memdesc:a89261792c94bdf069939d614d97f8e78"><td class="mdescLeft">&#160;</td><td class="mdescRight">check whether the object is actually available  <a href="#a89261792c94bdf069939d614d97f8e78">More...</a><br /></td></tr>
<tr class="separator:a89261792c94bdf069939d614d97f8e78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab406022ac06a0294f4403b8bfcd5a648"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_reconstructed_particle.html#ab406022ac06a0294f4403b8bfcd5a648">unlink</a> ()</td></tr>
<tr class="memdesc:ab406022ac06a0294f4403b8bfcd5a648"><td class="mdescLeft">&#160;</td><td class="mdescRight">disconnect from <a class="el" href="classeic_1_1_reconstructed_particle_obj.html">ReconstructedParticleObj</a> instance  <a href="#ab406022ac06a0294f4403b8bfcd5a648">More...</a><br /></td></tr>
<tr class="separator:ab406022ac06a0294f4403b8bfcd5a648"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7395902174034b172ef54f513e53cdd0"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_reconstructed_particle.html#a7395902174034b172ef54f513e53cdd0">operator==</a> (const <a class="el" href="classeic_1_1_const_reconstructed_particle.html">ConstReconstructedParticle</a> &amp;other) const</td></tr>
<tr class="separator:a7395902174034b172ef54f513e53cdd0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ba3d5050200f0da06ccdbe1e06ed5bf"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_reconstructed_particle.html#a0ba3d5050200f0da06ccdbe1e06ed5bf">operator==</a> (const <a class="el" href="classeic_1_1_reconstructed_particle.html">ReconstructedParticle</a> &amp;other) const</td></tr>
<tr class="separator:a0ba3d5050200f0da06ccdbe1e06ed5bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a743fef519832b8777f549da59b8ee2a0"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_reconstructed_particle.html#a743fef519832b8777f549da59b8ee2a0">operator&lt;</a> (const <a class="el" href="classeic_1_1_const_reconstructed_particle.html">ConstReconstructedParticle</a> &amp;other) const</td></tr>
<tr class="separator:a743fef519832b8777f549da59b8ee2a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d702aa674586c7bbae1157ec4f68984"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_reconstructed_particle.html#a8d702aa674586c7bbae1157ec4f68984">id</a> () const</td></tr>
<tr class="separator:a8d702aa674586c7bbae1157ec4f68984"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57f0cf48f3fba5387b43e49b38b60947"><td class="memItemLeft" align="right" valign="top">const podio::ObjectID&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classeic_1_1_const_reconstructed_particle.html#a57f0cf48f3fba5387b43e49b38b60947">getObjectID</a> () const</td></tr>
<tr class="separator:a57f0cf48f3fba5387b43e49b38b60947"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>EIC Reconstructed <a class="el" href="classeic_1_1_particle.html">Particle</a> </p><dl class="section author"><dt>Author</dt><dd>: F.Gaede, B. Hegner </dd></dl>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_const_8h_source.html#l00033">33</a> of file <a class="el" href="_reconstructed_particle_const_8h_source.html">ReconstructedParticleConst.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ac4c261d86c226d0b0f2237c82eba40a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac4c261d86c226d0b0f2237c82eba40a9">&#9670;&nbsp;</a></span>ConstReconstructedParticle() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstReconstructedParticle::ConstReconstructedParticle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>default constructor </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00017">17</a> of file <a class="el" href="_reconstructed_particle_const_8cc_source.html">ReconstructedParticleConst.cc</a>.</p>

</div>
</div>
<a id="a1277e9afbd880782db44aac72bbbad87"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1277e9afbd880782db44aac72bbbad87">&#9670;&nbsp;</a></span>ConstReconstructedParticle() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstReconstructedParticle::ConstReconstructedParticle </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>energy</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::array&lt; double, 3 &gt;&#160;</td>
          <td class="paramname"><em>momentum</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>charge</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>mass</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00021">21</a> of file <a class="el" href="_reconstructed_particle_const_8cc_source.html">ReconstructedParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_data_8h_source.html#l00020">eic::ReconstructedParticleData::charge</a>, <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00055">charge()</a>, <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, <a class="el" href="_reconstructed_particle_data_8h_source.html#l00018">eic::ReconstructedParticleData::energy</a>, <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00052">energy()</a>, <a class="el" href="_reconstructed_particle_data_8h_source.html#l00021">eic::ReconstructedParticleData::mass</a>, <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00056">mass()</a>, <a class="el" href="_reconstructed_particle_data_8h_source.html#l00019">eic::ReconstructedParticleData::momentum</a>, <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00053">momentum()</a>, <a class="el" href="_reconstructed_particle_data_8h_source.html#l00017">eic::ReconstructedParticleData::type</a>, and <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00051">type()</a>.</p>

</div>
</div>
<a id="a75be160bb56eb3ec35db89a050ee2bc6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a75be160bb56eb3ec35db89a050ee2bc6">&#9670;&nbsp;</a></span>ConstReconstructedParticle() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstReconstructedParticle::ConstReconstructedParticle </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classeic_1_1_reconstructed_particle_obj.html">ReconstructedParticleObj</a> *&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>constructor from existing <a class="el" href="classeic_1_1_reconstructed_particle_obj.html">ReconstructedParticleObj</a> </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00040">40</a> of file <a class="el" href="_reconstructed_particle_const_8cc_source.html">ReconstructedParticleConst.cc</a>.</p>

</div>
</div>
<a id="ac40fda87052d287f6ee62796f18d1151"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac40fda87052d287f6ee62796f18d1151">&#9670;&nbsp;</a></span>ConstReconstructedParticle() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstReconstructedParticle::ConstReconstructedParticle </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_reconstructed_particle.html">ConstReconstructedParticle</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy constructor </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00030">30</a> of file <a class="el" href="_reconstructed_particle_const_8cc_source.html">ReconstructedParticleConst.cc</a>.</p>

</div>
</div>
<a id="ac139bf2aad1cf6aae07a647d6505591d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac139bf2aad1cf6aae07a647d6505591d">&#9670;&nbsp;</a></span>~ConstReconstructedParticle()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">eic::ConstReconstructedParticle::~ConstReconstructedParticle </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>destructor </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00048">48</a> of file <a class="el" href="_reconstructed_particle_const_8cc_source.html">ReconstructedParticleConst.cc</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a1cd1dd1b71dc29fe4f2d170fc47264be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1cd1dd1b71dc29fe4f2d170fc47264be">&#9670;&nbsp;</a></span>charge()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const float &amp; eic::ConstReconstructedParticle::charge </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The particle's charge. </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00055">55</a> of file <a class="el" href="_reconstructed_particle_const_8cc_source.html">ReconstructedParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_data_8h_source.html#l00020">eic::ReconstructedParticleData::charge</a>, and <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>.</p>

<p class="reference">Referenced by <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00021">ConstReconstructedParticle()</a>, and <a class="el" href="_reconstructed_particle_8cc_source.html#l00213">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a5d0607556ae42238ba4b15301f85efca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d0607556ae42238ba4b15301f85efca">&#9670;&nbsp;</a></span>clone()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_const_reconstructed_particle.html">ConstReconstructedParticle</a> eic::ConstReconstructedParticle::clone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>support cloning (deep-copy) </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00044">44</a> of file <a class="el" href="_reconstructed_particle_const_8cc_source.html">ReconstructedParticleConst.cc</a>.</p>

</div>
</div>
<a id="afc6b0d1e04a80c75817c0b225226a13b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc6b0d1e04a80c75817c0b225226a13b">&#9670;&nbsp;</a></span>clusters() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_const_cluster.html">eic::ConstCluster</a> eic::ConstReconstructedParticle::clusters </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00083">83</a> of file <a class="el" href="_reconstructed_particle_const_8cc_source.html">ReconstructedParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_data_8h_source.html#l00023">eic::ReconstructedParticleData::clusters_begin</a>, <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00079">clusters_size()</a>, <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, and <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00040">eic::ReconstructedParticleObj::m_clusters</a>.</p>

<p class="reference">Referenced by <a class="el" href="_reconstructed_particle_8cc_source.html#l00213">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a32c4c1c9d4f1e81ac51690b5565a6341"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a32c4c1c9d4f1e81ac51690b5565a6341">&#9670;&nbsp;</a></span>clusters() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">podio::RelationRange&lt;::<a class="el" href="classeic_1_1_const_cluster.html">eic::ConstCluster</a> &gt; eic::ConstReconstructedParticle::clusters </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00090">90</a> of file <a class="el" href="_reconstructed_particle_const_8cc_source.html">ReconstructedParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_data_8h_source.html#l00023">eic::ReconstructedParticleData::clusters_begin</a>, <a class="el" href="_reconstructed_particle_data_8h_source.html#l00024">eic::ReconstructedParticleData::clusters_end</a>, <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, and <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00040">eic::ReconstructedParticleObj::m_clusters</a>.</p>

</div>
</div>
<a id="ab6cc0328130325e0d7bab30b21dd547b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab6cc0328130325e0d7bab30b21dd547b">&#9670;&nbsp;</a></span>clusters_begin()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;::<a class="el" href="classeic_1_1_const_cluster.html">eic::ConstCluster</a> &gt;::const_iterator eic::ConstReconstructedParticle::clusters_begin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00067">67</a> of file <a class="el" href="_reconstructed_particle_const_8cc_source.html">ReconstructedParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_data_8h_source.html#l00023">eic::ReconstructedParticleData::clusters_begin</a>, <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, and <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00040">eic::ReconstructedParticleObj::m_clusters</a>.</p>

</div>
</div>
<a id="a0db6ab5d0f7c6338918f71bb63939e86"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0db6ab5d0f7c6338918f71bb63939e86">&#9670;&nbsp;</a></span>clusters_end()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;::<a class="el" href="classeic_1_1_const_cluster.html">eic::ConstCluster</a> &gt;::const_iterator eic::ConstReconstructedParticle::clusters_end </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00073">73</a> of file <a class="el" href="_reconstructed_particle_const_8cc_source.html">ReconstructedParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_data_8h_source.html#l00024">eic::ReconstructedParticleData::clusters_end</a>, <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, and <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00040">eic::ReconstructedParticleObj::m_clusters</a>.</p>

</div>
</div>
<a id="a8fc815b5f79340620d0349128ff0fb72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8fc815b5f79340620d0349128ff0fb72">&#9670;&nbsp;</a></span>clusters_size()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int eic::ConstReconstructedParticle::clusters_size </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00079">79</a> of file <a class="el" href="_reconstructed_particle_const_8cc_source.html">ReconstructedParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_data_8h_source.html#l00023">eic::ReconstructedParticleData::clusters_begin</a>, <a class="el" href="_reconstructed_particle_data_8h_source.html#l00024">eic::ReconstructedParticleData::clusters_end</a>, and <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>.</p>

<p class="reference">Referenced by <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00083">clusters()</a>, and <a class="el" href="_reconstructed_particle_8cc_source.html#l00213">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a15cb312d5a411895db1e0be2190a8fa0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a15cb312d5a411895db1e0be2190a8fa0">&#9670;&nbsp;</a></span>energy()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const double &amp; eic::ConstReconstructedParticle::energy </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the Energy of the reconstructed particle. </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00052">52</a> of file <a class="el" href="_reconstructed_particle_const_8cc_source.html">ReconstructedParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, and <a class="el" href="_reconstructed_particle_data_8h_source.html#l00018">eic::ReconstructedParticleData::energy</a>.</p>

<p class="reference">Referenced by <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00021">ConstReconstructedParticle()</a>, and <a class="el" href="_reconstructed_particle_8cc_source.html#l00213">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a57f0cf48f3fba5387b43e49b38b60947"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57f0cf48f3fba5387b43e49b38b60947">&#9670;&nbsp;</a></span>getObjectID()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const podio::ObjectID eic::ConstReconstructedParticle::getObjectID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00173">173</a> of file <a class="el" href="_reconstructed_particle_const_8cc_source.html">ReconstructedParticleConst.cc</a>.</p>

<p class="reference">Referenced by <a class="el" href="_reconstructed_particle_const_8h_source.html#l00110">id()</a>.</p>

</div>
</div>
<a id="a8d702aa674586c7bbae1157ec4f68984"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8d702aa674586c7bbae1157ec4f68984">&#9670;&nbsp;</a></span>id()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int eic::ConstReconstructedParticle::id </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_const_8h_source.html#l00110">110</a> of file <a class="el" href="_reconstructed_particle_const_8h_source.html">ReconstructedParticleConst.h</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00173">getObjectID()</a>.</p>

<p class="reference">Referenced by <a class="el" href="_reconstructed_particle_8cc_source.html#l00213">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a89261792c94bdf069939d614d97f8e78"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a89261792c94bdf069939d614d97f8e78">&#9670;&nbsp;</a></span>isAvailable()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ConstReconstructedParticle::isAvailable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>check whether the object is actually available </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00166">166</a> of file <a class="el" href="_reconstructed_particle_const_8cc_source.html">ReconstructedParticleConst.cc</a>.</p>

</div>
</div>
<a id="ad098cbbcacb7c144fb557e83305a62a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad098cbbcacb7c144fb557e83305a62a4">&#9670;&nbsp;</a></span>mass()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const double &amp; eic::ConstReconstructedParticle::mass </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The mass of the particle in [GeV]. </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00056">56</a> of file <a class="el" href="_reconstructed_particle_const_8cc_source.html">ReconstructedParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, and <a class="el" href="_reconstructed_particle_data_8h_source.html#l00021">eic::ReconstructedParticleData::mass</a>.</p>

<p class="reference">Referenced by <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00021">ConstReconstructedParticle()</a>, and <a class="el" href="_reconstructed_particle_8cc_source.html#l00213">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="adf6f3ebeaba77b31a9844a018b1333a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adf6f3ebeaba77b31a9844a018b1333a4">&#9670;&nbsp;</a></span>momentum() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::array&lt; double, 3 &gt; &amp; eic::ConstReconstructedParticle::momentum </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The reconstructed particle's 3-momentum. </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00053">53</a> of file <a class="el" href="_reconstructed_particle_const_8cc_source.html">ReconstructedParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, and <a class="el" href="_reconstructed_particle_data_8h_source.html#l00019">eic::ReconstructedParticleData::momentum</a>.</p>

<p class="reference">Referenced by <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00021">ConstReconstructedParticle()</a>, and <a class="el" href="_reconstructed_particle_8cc_source.html#l00213">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="a1185d01005355873c78db81f751c9479"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1185d01005355873c78db81f751c9479">&#9670;&nbsp;</a></span>momentum() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const double &amp; eic::ConstReconstructedParticle::momentum </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>i</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access item i of the The reconstructed particle's 3-momentum. </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00054">54</a> of file <a class="el" href="_reconstructed_particle_const_8cc_source.html">ReconstructedParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, and <a class="el" href="_reconstructed_particle_data_8h_source.html#l00019">eic::ReconstructedParticleData::momentum</a>.</p>

</div>
</div>
<a id="a743fef519832b8777f549da59b8ee2a0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a743fef519832b8777f549da59b8ee2a0">&#9670;&nbsp;</a></span>operator<()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ConstReconstructedParticle::operator&lt; </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_reconstructed_particle.html">ConstReconstructedParticle</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_const_8h_source.html#l00108">108</a> of file <a class="el" href="_reconstructed_particle_const_8h_source.html">ReconstructedParticleConst.h</a>.</p>

</div>
</div>
<a id="a75df3937b19be20fc9d8d0eca4055684"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a75df3937b19be20fc9d8d0eca4055684">&#9670;&nbsp;</a></span>operator=()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_const_reconstructed_particle.html">ConstReconstructedParticle</a> &amp; eic::ConstReconstructedParticle::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_reconstructed_particle.html">ConstReconstructedParticle</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>copy-assignment operator </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00034">34</a> of file <a class="el" href="_reconstructed_particle_const_8cc_source.html">ReconstructedParticleConst.cc</a>.</p>

</div>
</div>
<a id="a7395902174034b172ef54f513e53cdd0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7395902174034b172ef54f513e53cdd0">&#9670;&nbsp;</a></span>operator==() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ConstReconstructedParticle::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_const_reconstructed_particle.html">ConstReconstructedParticle</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_const_8h_source.html#l00104">104</a> of file <a class="el" href="_reconstructed_particle_const_8h_source.html">ReconstructedParticleConst.h</a>.</p>

</div>
</div>
<a id="a0ba3d5050200f0da06ccdbe1e06ed5bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ba3d5050200f0da06ccdbe1e06ed5bf">&#9670;&nbsp;</a></span>operator==() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool eic::ConstReconstructedParticle::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classeic_1_1_reconstructed_particle.html">ReconstructedParticle</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00180">180</a> of file <a class="el" href="_reconstructed_particle_const_8cc_source.html">ReconstructedParticleConst.cc</a>.</p>

</div>
</div>
<a id="aebda4592d87eed5ee565a55c5acfe75e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aebda4592d87eed5ee565a55c5acfe75e">&#9670;&nbsp;</a></span>particles() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_const_reconstructed_particle.html">eic::ConstReconstructedParticle</a> eic::ConstReconstructedParticle::particles </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00147">147</a> of file <a class="el" href="_reconstructed_particle_const_8cc_source.html">ReconstructedParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00042">eic::ReconstructedParticleObj::m_particles</a>, <a class="el" href="_reconstructed_particle_data_8h_source.html#l00027">eic::ReconstructedParticleData::particles_begin</a>, and <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00143">particles_size()</a>.</p>

<p class="reference">Referenced by <a class="el" href="_reconstructed_particle_8cc_source.html#l00213">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="af9791b8b0785bb0c5104fbd071d80b96"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af9791b8b0785bb0c5104fbd071d80b96">&#9670;&nbsp;</a></span>particles() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">podio::RelationRange&lt;::<a class="el" href="classeic_1_1_const_reconstructed_particle.html">eic::ConstReconstructedParticle</a> &gt; eic::ConstReconstructedParticle::particles </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00154">154</a> of file <a class="el" href="_reconstructed_particle_const_8cc_source.html">ReconstructedParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00042">eic::ReconstructedParticleObj::m_particles</a>, <a class="el" href="_reconstructed_particle_data_8h_source.html#l00027">eic::ReconstructedParticleData::particles_begin</a>, and <a class="el" href="_reconstructed_particle_data_8h_source.html#l00028">eic::ReconstructedParticleData::particles_end</a>.</p>

</div>
</div>
<a id="ac661a683f08cdea8547021537dc4ac33"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac661a683f08cdea8547021537dc4ac33">&#9670;&nbsp;</a></span>particles_begin()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;::<a class="el" href="classeic_1_1_const_reconstructed_particle.html">eic::ConstReconstructedParticle</a> &gt;::const_iterator eic::ConstReconstructedParticle::particles_begin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00131">131</a> of file <a class="el" href="_reconstructed_particle_const_8cc_source.html">ReconstructedParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00042">eic::ReconstructedParticleObj::m_particles</a>, and <a class="el" href="_reconstructed_particle_data_8h_source.html#l00027">eic::ReconstructedParticleData::particles_begin</a>.</p>

</div>
</div>
<a id="a286dc0a8e86b340cdc3852a7466660b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a286dc0a8e86b340cdc3852a7466660b5">&#9670;&nbsp;</a></span>particles_end()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;::<a class="el" href="classeic_1_1_const_reconstructed_particle.html">eic::ConstReconstructedParticle</a> &gt;::const_iterator eic::ConstReconstructedParticle::particles_end </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00137">137</a> of file <a class="el" href="_reconstructed_particle_const_8cc_source.html">ReconstructedParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00042">eic::ReconstructedParticleObj::m_particles</a>, and <a class="el" href="_reconstructed_particle_data_8h_source.html#l00028">eic::ReconstructedParticleData::particles_end</a>.</p>

</div>
</div>
<a id="abc333652468485d38870204b9d3a575c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abc333652468485d38870204b9d3a575c">&#9670;&nbsp;</a></span>particles_size()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int eic::ConstReconstructedParticle::particles_size </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00143">143</a> of file <a class="el" href="_reconstructed_particle_const_8cc_source.html">ReconstructedParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, <a class="el" href="_reconstructed_particle_data_8h_source.html#l00027">eic::ReconstructedParticleData::particles_begin</a>, and <a class="el" href="_reconstructed_particle_data_8h_source.html#l00028">eic::ReconstructedParticleData::particles_end</a>.</p>

<p class="reference">Referenced by <a class="el" href="_reconstructed_particle_8cc_source.html#l00213">eic::operator&lt;&lt;()</a>, and <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00147">particles()</a>.</p>

</div>
</div>
<a id="ab5978a1b48ae5f780f189be2cf5a3ad1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab5978a1b48ae5f780f189be2cf5a3ad1">&#9670;&nbsp;</a></span>tracks() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classeic_1_1_const_track.html">eic::ConstTrack</a> eic::ConstReconstructedParticle::tracks </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00115">115</a> of file <a class="el" href="_reconstructed_particle_const_8cc_source.html">ReconstructedParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00041">eic::ReconstructedParticleObj::m_tracks</a>, <a class="el" href="_reconstructed_particle_data_8h_source.html#l00025">eic::ReconstructedParticleData::tracks_begin</a>, and <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00111">tracks_size()</a>.</p>

<p class="reference">Referenced by <a class="el" href="_reconstructed_particle_8cc_source.html#l00213">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="af7e886a0be7ff8917ba00ee18f7c14ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af7e886a0be7ff8917ba00ee18f7c14ea">&#9670;&nbsp;</a></span>tracks() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">podio::RelationRange&lt;::<a class="el" href="classeic_1_1_const_track.html">eic::ConstTrack</a> &gt; eic::ConstReconstructedParticle::tracks </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00122">122</a> of file <a class="el" href="_reconstructed_particle_const_8cc_source.html">ReconstructedParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00041">eic::ReconstructedParticleObj::m_tracks</a>, <a class="el" href="_reconstructed_particle_data_8h_source.html#l00025">eic::ReconstructedParticleData::tracks_begin</a>, and <a class="el" href="_reconstructed_particle_data_8h_source.html#l00026">eic::ReconstructedParticleData::tracks_end</a>.</p>

</div>
</div>
<a id="a55c7b331d74b932080da6bbced170044"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a55c7b331d74b932080da6bbced170044">&#9670;&nbsp;</a></span>tracks_begin()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;::<a class="el" href="classeic_1_1_const_track.html">eic::ConstTrack</a> &gt;::const_iterator eic::ConstReconstructedParticle::tracks_begin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00099">99</a> of file <a class="el" href="_reconstructed_particle_const_8cc_source.html">ReconstructedParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00041">eic::ReconstructedParticleObj::m_tracks</a>, and <a class="el" href="_reconstructed_particle_data_8h_source.html#l00025">eic::ReconstructedParticleData::tracks_begin</a>.</p>

</div>
</div>
<a id="a015f9ff7bf7b09265fad442dec978768"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a015f9ff7bf7b09265fad442dec978768">&#9670;&nbsp;</a></span>tracks_end()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::vector&lt;::<a class="el" href="classeic_1_1_const_track.html">eic::ConstTrack</a> &gt;::const_iterator eic::ConstReconstructedParticle::tracks_end </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00105">105</a> of file <a class="el" href="_reconstructed_particle_const_8cc_source.html">ReconstructedParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00041">eic::ReconstructedParticleObj::m_tracks</a>, and <a class="el" href="_reconstructed_particle_data_8h_source.html#l00026">eic::ReconstructedParticleData::tracks_end</a>.</p>

</div>
</div>
<a id="affe3f4654ef8b068bc4ac35374931020"></a>
<h2 class="memtitle"><span class="permalink"><a href="#affe3f4654ef8b068bc4ac35374931020">&#9670;&nbsp;</a></span>tracks_size()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int eic::ConstReconstructedParticle::tracks_size </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00111">111</a> of file <a class="el" href="_reconstructed_particle_const_8cc_source.html">ReconstructedParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, <a class="el" href="_reconstructed_particle_data_8h_source.html#l00025">eic::ReconstructedParticleData::tracks_begin</a>, and <a class="el" href="_reconstructed_particle_data_8h_source.html#l00026">eic::ReconstructedParticleData::tracks_end</a>.</p>

<p class="reference">Referenced by <a class="el" href="_reconstructed_particle_8cc_source.html#l00213">eic::operator&lt;&lt;()</a>, and <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00115">tracks()</a>.</p>

</div>
</div>
<a id="abdc3560f1511fdfea6d7343a895fd1bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abdc3560f1511fdfea6d7343a895fd1bd">&#9670;&nbsp;</a></span>type()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int &amp; eic::ConstReconstructedParticle::type </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the Type of reconstructed particle. </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00051">51</a> of file <a class="el" href="_reconstructed_particle_const_8cc_source.html">ReconstructedParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00038">eic::ReconstructedParticleObj::data</a>, and <a class="el" href="_reconstructed_particle_data_8h_source.html#l00017">eic::ReconstructedParticleData::type</a>.</p>

<p class="reference">Referenced by <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00021">ConstReconstructedParticle()</a>, and <a class="el" href="_reconstructed_particle_8cc_source.html#l00213">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<a id="ab406022ac06a0294f4403b8bfcd5a648"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab406022ac06a0294f4403b8bfcd5a648">&#9670;&nbsp;</a></span>unlink()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void eic::ConstReconstructedParticle::unlink </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>disconnect from <a class="el" href="classeic_1_1_reconstructed_particle_obj.html">ReconstructedParticleObj</a> instance </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_const_8h_source.html#l00102">102</a> of file <a class="el" href="_reconstructed_particle_const_8h_source.html">ReconstructedParticleConst.h</a>.</p>

</div>
</div>
<a id="aa3ee9784eb1f030753119260127e459a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa3ee9784eb1f030753119260127e459a">&#9670;&nbsp;</a></span>vertex()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classeic_1_1_const_vertex.html">ConstVertex</a> eic::ConstReconstructedParticle::vertex </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Access the The start vertex associated to this particle. </p>

<p class="definition">Definition at line <a class="el" href="_reconstructed_particle_const_8cc_source.html#l00058">58</a> of file <a class="el" href="_reconstructed_particle_const_8cc_source.html">ReconstructedParticleConst.cc</a>.</p>

<p class="reference">References <a class="el" href="_reconstructed_particle_obj_8h_source.html#l00039">eic::ReconstructedParticleObj::m_vertex</a>.</p>

<p class="reference">Referenced by <a class="el" href="_reconstructed_particle_8cc_source.html#l00213">eic::operator&lt;&lt;()</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>eicd/<a class="el" href="_reconstructed_particle_const_8h_source.html">ReconstructedParticleConst.h</a></li>
<li>src/<a class="el" href="_reconstructed_particle_const_8cc_source.html">ReconstructedParticleConst.cc</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
